---
- name: Install all the {{ ansible_distribution }} packages
  dnf:
    name: "{{ specific_packages }}"
    state: present

- name: Create ssl private directory
  file:
    path: "{{ ssl_crt_path }}"
    state: directory
    owner: root
    group: root
    mode: 0750
  when: ssl_self

- name: Selinux... enable seboolean settings
  seboolean:
    name: "{{ item }}"
    state: yes
    persistent: yes
  with_items:
    - haproxy_connect_any
  when: ansible_selinux.status == "enabled"
